Class UmlBaseActivityParameter

Declaration :

- C++ : class UmlBaseActivityParameter : public UmlPinParameter
- Java : abstract class UmlBaseActivityParameter extends UmlPinParameter

Directly inherited by : UmlActivityParameter

Artifact : UmlBaseActivityParameter

Operation create

returns a new activity parameter named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlActivity, inout s : str) : UmlActivityParameter, exceptions : RuntimeException
- C++ : public: static UmlActivityParameter * create(UmlActivity * parent, const char * s)
- Java : public static UmlActivityParameter create(UmlActivity parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseActivityParameter

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityParameter(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityParameter(void * id, const QCString & s) : UmlPinParameter(id, s)
- Java : protected UmlBaseActivityParameter(long id, String s)

Operation defaultValue

return the default value

Declaration :

- Uml : + defaultValue() : string
- C++ : public: const QCString & defaultValue()
- Java : public String defaultValue()

Operation set_DefaultValue

set the default value
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_DefaultValue(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_DefaultValue(const char * v)
- Java : public void set_DefaultValue(String v) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _default_value

Declaration :

- Uml : - _default_value : string
- C++ : private: QCString _default_value
- Java : private String _default_value

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppSelection , create , create , defaultValue , defined_ , deleteIt , description , direction , effect , getIdentifier , identifier_ , inState , isControlType , isException , isMarked , isStream , isToolRunning , isUnique , isWritable , javaSelection , kind , kind , kind , markedItems , moveAfter , multiplicity , name , ordering , parent , properties , propertyValue , referencedBy , selection , set_AssociatedDiagram , set_childrenVisible , set_CppSelection , set_DefaultValue , set_Description , set_Direction , set_Effect , set_InState , set_IsControlType , set_IsException , set_isMarked , set_IsStream , set_IsUnique , set_JavaSelection , set_Multiplicity , set_Name , set_Ordering , set_PropertyValue , set_Selection , set_Stereotype , set_Type , stereotype , supportFile , type , unload , unload , unload